cdac.medinfo.sdk.hl7282.baselibs

## Class MO

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.MO

- All Implemented Interfaces:
    IDataType

      public class MO
      extends CompositeDataType

  MO - Money

  This data type specifies an amount of money and the denomination in which it is expressed.

  Represents an HL7 MO data type. This data type has the following attributes:

  1. Quantity (NM)Optional
  2. Denomination (ID)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MO()` Default Constructor for MO
    `MO(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for MO class which takes two arguments and sets the value in the respective member variable.
    `MO(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for MO class which takes five arguments and sets the value in the respective member variable.
    `MO(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for MO class which takes six arguments and sets the value in the respective member variable.
    `MO(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
    `MO(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for MO class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ID` | `getDenomination()` Returns Denomination
    `NM` | `getQuantity()` Returns Quantity
    `void` | `setDenomination(ID objID)` Sets the Denomination.
    `void` | `setDenomination(java.lang.String strDenomination)` Sets the Denomination.
    `void` | `setQuantity(NM objNM)` Sets the Quantity.
    `void` | `setQuantity(java.lang.String strQuantity)` Sets the Quantity.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MO

          public MO()

      Default Constructor for MO

    - #### MO

          public MO(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### MO

          public MO(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for MO class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### MO

          public MO(int iComponentType,
            IDataTypeMap objIDataTypeMap)

      Constructor for MO class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### MO

          public MO(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            IDataTypeMap objIDataTypeMap)

      Constructor for MO class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### MO

          public MO(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int ITableNo,
            IDataTypeMap objIDataTypeMap)

      Constructor for MO class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setQuantity

          public void setQuantity(java.lang.String strQuantity)

      Sets the Quantity.
      Parameters:
        `strQuantity` - Specifies the Quantity.

    - #### setQuantity

          public void setQuantity(NM objNM)

      Sets the Quantity.
      Parameters:
        `objNM` - Specifies the Quantity.

    - #### setDenomination

          public void setDenomination(java.lang.String strDenomination)

      Sets the Denomination.
      Parameters:
        `strDenomination` - Specifies the denomination in which the quantity is expressed.

    - #### setDenomination

          public void setDenomination(ID objID)

      Sets the Denomination.
      Parameters:
        `objID` - Specifies the denomination in which the quantity is expressed.

    - #### getQuantity

          public NM getQuantity()

      Returns Quantity
      Returns:
        NM - data type.

    - #### getDenomination

          public ID getDenomination()

      Returns Denomination
      Returns:
        ID - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.